## Class TUri

Description

TUri class

TUri represents a URI. Given a URI http://joe:whatever@example.com:8080/path/to/script.php?param=value#anchor it will be decomposed as follows,

- scheme: http
- host: example.com
- port: 8080
- user: joe
- password: whatever
- path: /path/to/script.php
- query: param=value
- fragment: anchor

- since: 3.0
- version: $Id: THttpRequest.php 2364 2008-01-13 15:27:49Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/THttpRequest.php (line 1061)

    TComponent
       |
       --TUri

Method Summary
TUri __construct (string $uri)
string getFragment ()
string getHost ()
string getPassword ()
string getPath ()
integer getPort ()
string getQuery ()
string getScheme ()
string getUri ()
string getUser ()
Methods
Constructor __construct (line 1119)

Constructor.

Decomposes the specified URI into parts.

- access: public
- throws: TInvalidDataValueException if URI is of bad format

TUri __construct (string $uri)

- string $uri: URI to be represented

getFragment (line 1207)

- return: fragment of the URI
- access: public

string getFragment ()
getHost (line 1159)

- return: hostname of the URI
- access: public

string getHost ()
getPassword (line 1183)

- return: password of the URI
- access: public

string getPassword ()
getPath (line 1191)

- return: path of the URI
- access: public

string getPath ()
getPort (line 1167)

- return: port number of the URI
- access: public

integer getPort ()
getQuery (line 1199)

- return: query string of the URI
- access: public

string getQuery ()
getScheme (line 1151)

- return: scheme of the URI, such as 'http', 'https', 'ftp', etc.
- access: public

string getScheme ()
getUri (line 1143)

- return: URI
- access: public

string getUri ()
getUser (line 1175)

- return: username of the URI
- access: public

string getUser ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:10 -0400 by phpDocumentor 1.3.0RC4